LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTitled Interface Reference

Interface to be implemented by objects that support having a title of type XTitle. More...

`import"XTitled.idl";`

Inheritance diagram for XTitled:

## Public Member Functions
XTitle | getTitleObject ()
| get the object holding the title's content and formatting More...
void | setTitleObject ([in] XTitle Title)
| set a new title object replacing the former one More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface to be implemented by objects that support having a title of type XTitle.

## Member Function Documentation

## ◆ getTitleObject()

XTitle getTitleObject | ( |  | ) |

get the object holding the title's content and formatting

## ◆ setTitleObject()

void setTitleObject | ( | [in] XTitle | Title | ) |

set a new title object replacing the former one

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XTitled.idl